$regfile = "atTiny45.dat"
$framesize = 32
$swstack = 32
$hwstack = 32
$crystal = 1000000


' Pins:
' RESET   1  v  8  +5V
'   PB3   2     7  PB2(SCK)
'   PB4   3     6  PB1(MISO)
'   GND   4     5  PB0(MOSI)

Dim CycCounter as Integer
Dim MinCounter as Integer
Dim LedsAn as Byte


Config Portb.3 = Output                                      'LED an PB3
Set Portb.3                                                   ' LEDs aus -> Dimmeingang reagiert invertiert.
Config Portb.4 = Input                                      'Taster an PB4
Set Portb.4                                                   'Pullup aktivieren
LedsAn = 0
CycCounter = 0

Do
    If Pinb.4 = 0 Then                                         ' Taster gedrckt
        Waitms 100                                             ' Prellzeit abwarten
        If Pinb.4 = 0 then
           LedsAn = 1
           CycCounter = 0
           MinCounter = 451
        End If
    End If
    While LedsAn = 1
       Incr CycCounter
       Reset Portb.3
       Waitms 134
       Set Portb.3
       Waitms 266
       If CycCounter > MinCounter Then
          LedsAn = 0
       End If
       If CycCounter = 8 Then                                  ' Taster nach 3 Sekunden immer noch gedrckt
           If Pinb.4 = 0 Then MinCounter = 901                 ' auf 6 Minuten Laufzeit erhhen
       End If
    Wend
Loop

End

